pattern.h File Reference

Pattern Matching Facilities. More...

`#include <stdarg.h>`
`#include <stddef.h>`

Go to the source code of this file.

## Detailed Description

Pattern Matching Facilities.

Lua 5.2 pattern matching. See Lua manual for patterns supported.

Captures are passed through C varargs. String captures are heap allocated and must be freed.

Note: position captures are C offsets in the string (based 0).

Returns
  offset in str where match occurred or -1 if no match.

See also
  http://www.lua.org/manual/5.2/manual.html#6.4.1